/*
 * Base
 * -----------
 * Generic tags, .skip-main link, and .main-content
 */

/**
 * Set up a decent box model on the root element
 */
html {
	box-sizing: border-box;
}

main {
	display: block;
}

#app {
	display: block !important;
}

/**
 * Make all elements from the DOM inherit from the parent box-sizing
 * Since `*` has a specificity of 0, it does not override the `html` value
 * making all elements inheriting from the root box-sizing value
 * See: https://css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice/
 */
*,
*::after,
*::before {
	box-sizing: inherit;
}

body,
html {
	font-size: var(--base-font-size);
	background-color: var(--color-white);
	margin: 0;
	padding: 0;
}

textarea {
	max-width: 100%;
}

img {
	max-width: 100%;
}

hr {
	color: var(--color-light-grey);
	margin-top: 1.25rem;
}

/* Skip Link */

a.skip-main {
	left: -999px;
	position: absolute;
	top: auto;
	width: 1px;
	height: 1px;
	overflow: hidden;
	z-index: -999;
}

a.skip-main:focus,
a.skip-main:active {
	color: #fff;
	font-weight: normal;
	left: 0;
	top: 0;
	width: auto;
	height: auto;
	overflow: auto;
	padding: 0.3em 0.5em;
	border-bottom-right-radius: 0.75em;
	text-align: center;
	font-size: 1.2em;
	z-index: 999;
}

/* Main Content */

.main-content {
	min-height: 420px;
	position: relative;
	margin: 1rem auto 0;
}

.main-content-full {
	position: absolute;
	top: 0;
	bottom: 0;
	min-height: inherit;
	overflow-x: hidden;
	width: 100%;
}
